
(defvar url (or (car command-line-args-left)
                "http://www.oecd.org/pisa/test/"))

(require 'url-http)

(defun url-http-head (url)
  (let ((url-request-method "HEAD")
	(url-request-data nil))
    (url-retrieve-synchronously url t t 10)))

(defun func ()
  (let ((noninteractive t))
    (condition-case nil
        (if (url-http-file-exists-p url)
            "ok"
          "dead")
      (t "error"))))

(defvar thread (make-thread 'func))

(message "%S" (thread-join thread))
